AlertWindow = class(Turbine.UI.Window)
 
function AlertWindow:Constructor()

  Turbine.UI.Window.Constructor(self)
  local width = 550
  local height = 125
	self:SetSize(width,height)
  self:SetPosition(data.numbers.alert_x,data.numbers.alert_y)

  self:SetWantsKeyEvents(true)
  self:SetMouseVisible(false)
  self:SetVisible(true)
  
  self.DragBar = DragBar(self, "PvMP+ Alert Window")

 	self.alert_label = Turbine.UI.Label()
  self.alert_label:SetParent(self)
  self.alert_label:SetSize(width,height - 20)
	self.alert_label:SetPosition(0,20)
	self.alert_label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
  self.alert_label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30)
	self.alert_label:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.alert_label:SetMouseVisible(false)
  self.alert_label:SetVisible(false)
  
  self.PositionChanged = function(sender, args)
		data.numbers.alert_x = self:GetLeft()
		data.numbers.alert_y = self:GetTop()
  end
  
end

function AlertWindow:NewAlert(message, color, duration)

  self.alert_label:SetForeColor(color)
  self.alert_label:SetText(message)
  alertCounter = duration
end