function GetRecentData(input)

	local now = GetSecondsOfYear()
	local last10minutes = 0
  local lastHour = 0
  local last24h = 0
  
	for i,j in pairs(input) do
    local dif = now - i
		if (dif <= 86400 and dif >= 0) then	
      last24h = last24h + j
      if (dif <= 3600) then	
        lastHour = lastHour + j
        if (dif <= 600) then	
          last10minutes = last10minutes + j
        end
      end
    end
	end
	
	return FormatPoints(last24h), FormatPoints(lastHour), FormatPoints(last10minutes)
end

function GetSecondsOfYear()

 local timestamp = Turbine.Engine.GetDate()
 return (timestamp.DayOfYear - 1) * 86400 + timestamp.Hour * 3600 + timestamp.Minute * 60 + timestamp.Second
end

function FormatPoints(points)
	local temp = tostring(points)
	local temp_length = string.len(temp)

	if temp_length == 4 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2)
	elseif temp_length == 5 then
		temp = string.sub(temp,1,2) .. "." .. string.sub(temp,3)
	elseif temp_length == 6 then
		temp = string.sub(temp,1,3) .. "." .. string.sub(temp,4)
	elseif temp_length == 7 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2,4) .. "." .. string.sub(temp,5)
	end
	
	return temp
end